package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * UnbindDeviceSnOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class UnbindDeviceSnOpenApiVo   {
  @JsonProperty("sns")
  @Valid
  private List<String> sns = new ArrayList<>();

  public UnbindDeviceSnOpenApiVo sns(List<String> sns) {
    this.sns = sns;
    return this;
  }

  public UnbindDeviceSnOpenApiVo addSnsItem(String snsItem) {
    this.sns.add(snsItem);
    return this;
  }

  /**
   * Unbind device serial number list, serial number should contains 13 characters.
   * @return sns
  */
  @ApiModelProperty(required = true, value = "Unbind device serial number list, serial number should contains 13 characters.")
  @NotNull


  public List<String> getSns() {
    return sns;
  }

  public void setSns(List<String> sns) {
    this.sns = sns;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UnbindDeviceSnOpenApiVo unbindDeviceSnOpenApiVo = (UnbindDeviceSnOpenApiVo) o;
    return Objects.equals(this.sns, unbindDeviceSnOpenApiVo.sns);
  }

  @Override
  public int hashCode() {
    return Objects.hash(sns);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UnbindDeviceSnOpenApiVo {\n");
    
    sb.append("    sns: ").append(toIndentedString(sns)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

